petsc-3.6.2 2015-10-02
Report Typos and Errors

# AOSetIS

Sets the IS associated with the application ordering.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AOSetIS(AO ao,IS isapp,IS ispetsc)

Collective on MPI_Comm

### Input Parameters

| ao | - the application ordering
| isapp | - index set that defines an ordering
| ispetsc | - index set that defines another ordering (may be NULL to use the natural ordering)

### Notes

The index sets isapp and ispetsc are used only for creation of ao.

This routine increases the reference count of isapp and ispetsc so you may/should destroy these arguments after this call if you no longer need them

### Keywords

AO, create

### See Also

AOCreate(), AODestroy(), AOPetscToApplication(), AOApplicationToPetsc()

Level:beginner
Location:src/vec/is/ao/interface/ao.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages